Package org.eclipse.m2m.atl.engine.emfvm.lib

## Class AbstractStackFrame.StackSequence

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<AbstractStackFrame>
      - - org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame.StackSequence

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<AbstractStackFrame>`, `java.util.Collection<AbstractStackFrame>`, `java.util.List<AbstractStackFrame>`, `java.util.RandomAccess`

Enclosing class:
  AbstractStackFrame

    public class AbstractStackFrame.StackSequence
    extends java.util.ArrayList<AbstractStackFrame>

A Sequence of `AbstractStackFrame`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
`StackSequence()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractStackFrame` `at​(int index)` Returns the stack frame at the given index.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

### Constructor Detail

#### StackSequence

    public StackSequence()

### Method Detail

#### at

    public AbstractStackFrame at​(int index)

Returns the stack frame at the given index.

Parameters:
  `index` - the index
Returns:
  the stack frame